using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Dvb.Psi;
using skyscraper5.Dvb.Psi.Model;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Skyscraper.Scraper.StreamAutodetection.Contestants
{
	[SkyscraperPlugin]
	class BatContestant : Contestant, IBatEventHandler, IDisposable
    {
        public BatContestant(int pid) : base("BAT", pid)
        {
            PacketProcessor = new PsiDecoder(pid, new BatParser(this));
        }

        public void OnBatBouquet(BatBouquet batBouquet)
        {
            Score++;
        }

        public void OnBatTransportStream(BatBouquet batBouquet, BatTransportStream child)
        {
            Score++;
        }

        public override void Dispose()
        {
            
        }

        public override void DeclareWinner(SkyscraperContext skyscraperContext, int pid, ProgramContext programContext)
        {
	        throw new NotImplementedException();
        }
    }
}
